| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Modules | Functions
Parser for NDEF records
NDEF message parser

Parser for NFC NDEF records. More...

## Modules
| NFC NDEF Record parser module configuration

## Functions
ret_code_t | ndef_record_parser (nfc_ndef_bin_payload_desc_t *p_bin_pay_desc, nfc_ndef_record_desc_t *p_rec_desc, nfc_ndef_record_location_t *p_record_location, uint8_t const *p_nfc_data, uint32_t *p_nfc_data_len)
| Function for parsing NDEF records. More...
void | ndef_record_printout (uint32_t num, nfc_ndef_record_desc_t *const p_rec_desc)
| Function for printing the parsed contents of the NDEF record. More...

## Detailed Description

Parser for NFC NDEF records.

## Function Documentation

ret_code_t ndef_record_parser | ( | nfc_ndef_bin_payload_desc_t * | p_bin_pay_desc,
|  | nfc_ndef_record_desc_t * | p_rec_desc,
|  | nfc_ndef_record_location_t * | p_record_location,
|  | uint8_t const * | p_nfc_data,
|  | uint32_t * | p_nfc_data_len
| ) |  |

Function for parsing NDEF records.

This parsing implementation uses the binary payload descriptor (nfc_ndef_bin_payload_desc_t) to describe the payload for the record.

Parameters

  [out] | p_bin_pay_desc | Pointer to the binary payload descriptor that will be filled and referenced by the record descriptor.
  [out] | p_rec_desc | Pointer to the record descriptor that will be filled with parsed data.
  [out] | p_record_location | Pointer to the record location.
  [in] | p_nfc_data | Pointer to the raw data to be parsed.
  [in,out] | p_nfc_data_len | As input: size of the NFC data in the `p_nfc_data` buffer. As output: size of the parsed record.

Return values

  NRF_SUCCESS | If the function completed successfully.
  NRF_ERROR_INVALID_LENGTH | If the expected record length is bigger than the provided input data amount.

void ndef_record_printout | ( | uint32_t | num,
|  | nfc_ndef_record_desc_t *const | p_rec_desc
| ) |  |

Function for printing the parsed contents of the NDEF record.

Parameters

  [in] | num | Sequence number of the record within the NDEF message.
  [in] | p_rec_desc | Pointer to the descriptor of the record that should be printed.